✨ New Gift Cards API Live Now - Beta!
curl --request GET \
--url https://api.gameboost.com/v2/order-disputes/{orderDisputeCase} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"orderable_type": "account_order",
"orderable_id": 123,
"buyer_id": 123,
"status": "waiting_for_seller",
"progress_path": "waiting_for_seller",
"reason": "account_not_as_described",
"explanation": "<string>",
"preferred_resolution": "other",
"preferred_resolution_note": "<string>",
"escalation_reason": "seller_requested",
"closure_reason": "seller_accepted",
"outcome": "refund",
"seller_response_due_at": 123,
"buyer_response_due_at": 123,
"active_due_at": 123,
"is_active_deadline_expired": true,
"seller_response_hours": 123,
"buyer_response_hours": 123,
"locked_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123,
"events": [
{
"id": 123,
"type": "dispute_created",
"actor_id": 123,
"actor_username": "<string>",
"payload": {},
"evidence_urls": [
"<string>"
],
"created_at": 123
}
]
},
"message": "<string>"
}Retrieve detailed information about a specific order dispute including the full event timeline.
curl --request GET \
--url https://api.gameboost.com/v2/order-disputes/{orderDisputeCase} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": 123,
"orderable_type": "account_order",
"orderable_id": 123,
"buyer_id": 123,
"status": "waiting_for_seller",
"progress_path": "waiting_for_seller",
"reason": "account_not_as_described",
"explanation": "<string>",
"preferred_resolution": "other",
"preferred_resolution_note": "<string>",
"escalation_reason": "seller_requested",
"closure_reason": "seller_accepted",
"outcome": "refund",
"seller_response_due_at": 123,
"buyer_response_due_at": 123,
"active_due_at": 123,
"is_active_deadline_expired": true,
"seller_response_hours": 123,
"buyer_response_hours": 123,
"locked_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123,
"events": [
{
"id": 123,
"type": "dispute_created",
"actor_id": 123,
"actor_username": "<string>",
"payload": {},
"evidence_urls": [
"<string>"
],
"created_at": 123
}
]
},
"message": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.gameboost.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the order dispute case.
Was this page helpful?